std::once_flag(3cxx)

NAME
std::once_flag - once_flag

SYNOPSIS

  Public Member Functions

constexpr once_flag () noexcept=default
Constructor.
once_flag (const once_flag &)=delete
Deleted copy constructor.
once_flag & operator= (const once_flag &)=delete
Deleted assignment operator.

  Friends

template<typename _Callable , typename... _Args> void call_once (once_flag &__once, _Callable &&__f, _Args &&... __args)
call_once

Detailed Description

once_flag

Definition at line 559 of file mutex.

Constructor & Destructor Documentation

  constexpr std::once_flag::once_flag () [default], [noexcept]

Constructor.

  std::once_flag::once_flag (const once_flag &) [delete]

Deleted copy constructor.

Member Function Documentation

  once_flag& std::once_flag::operator= (const once_flag &) [delete]

Deleted assignment operator.

Friends And Related Function Documentation

  template<typename _Callable , typename... _Args> void call_once (once_flag & __once, _Callable && __f, _Args &&... __args) [friend]

call_once

Definition at line 597 of file mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.